Opened 12 years ago

Closed 12 years ago

#33 closed defect (fixed)

honor SNMP status on upgrade.

Reported by: r.epping@… Owned by: bas
Priority: minor Milestone: 5.5.0-5
Version: trunk Keywords:
Cc:

Description

Currently on upgrades of dellomsa the status of SNMP is lost.

SNMP is by default disables as the file /opt/dell/srvadmin/dataeng/dcsnmp.off is in the package. This file is deleted by /etc/init.d/dataeng enablesnmp

Maybe it is an option to mark this file as a conffile.

An other option is to temporarily store the SNMP status on upgrade. For example with the patches below.

--- /dev/null   2008-02-13 09:50:57.160000250 +0000
+++ dellomsa.preinst    2008-04-29 10:41:58.969734953 +0000
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+SRVADMIN_DIR="/opt/dell/srvadmin"
+
+if /etc/init.d/dataeng getsnmpstatus
+then
+  touch ${SRVADMIN_DIR}/snmp-was-enabled
+fi

--- dellomsa.postinst.orig      2008-01-16 09:18:10.000000000 +0000
+++ dellomsa.postinst   2008-04-29 10:42:26.058543115 +0000
@@ -76,6 +76,14 @@
        mkdir /var/lock/subsys
 fi

+# Re-enable snmp when needed
+#
+if [ -f "${SRVADMIN_DIR}/snmp-was-enabled" ]
+then
+  /etc/init.d/dataeng enablesnmp
+  rm ${SRVADMIN_DIR}/snmp-was-enabled
+fi
+
 # Register init.d scripts
 #
 /usr/sbin/update-rc.d instsvcdrv start 19 2 3 4 5 . stop 20 0 1 6 . >/dev/null

Use of debconf might also be an option.

The RPM scripts might also provide clues on how to handle this.

Change History (2)

comment:1 Changed 12 years ago by bas

  • Owner set to bas
  • Status changed from new to assigned

thanks for the patch and suggestion, it will be in the new version

comment:2 Changed 12 years ago by bas

  • Milestone set to 5.5.0-5
  • Resolution set to fixed
  • Status changed from assigned to closed
  • Version changed from 5.5.0 to trunk

added a check to trunk version

Note: See TracTickets for help on using tickets.